public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Anthony G. Basile" <blueness@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/valgrind/
Date: Sat, 17 Jun 2017 23:25:01 +0000 (UTC)	[thread overview]
Message-ID: <1497741896.0f9fcaa17f29770b1e1c48e35a69283d79eac402.blueness@gentoo> (raw)

commit:     0f9fcaa17f29770b1e1c48e35a69283d79eac402
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 17 23:24:39 2017 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Sat Jun 17 23:24:56 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f9fcaa1

dev-util/valgrind: version bump to 3.13.0

Package-Manager: Portage-2.3.5, Repoman-2.3.1

 dev-util/valgrind/Manifest               |  1 +
 dev-util/valgrind/valgrind-3.13.0.ebuild | 95 ++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/dev-util/valgrind/Manifest b/dev-util/valgrind/Manifest
index e54eaa291a1..fd204126f59 100644
--- a/dev-util/valgrind/Manifest
+++ b/dev-util/valgrind/Manifest
@@ -1 +1,2 @@
 DIST valgrind-3.12.0.tar.bz2 12788556 SHA256 67ca4395b2527247780f36148b084f5743a68ab0c850cb43e4a5b4b012cf76a1 SHA512 2c083f7c2e74dc58600397726d9d3af7a2cea40fe3d8733149886d1d77867e6c09996e5be1c58dd932f3662acf7363e04eeadbc0f9c8f0dac089e605024229be WHIRLPOOL 136dd4f358bd18165a5801083cc73fc269a84bf491880af9842e789feea62181e16ca4c099db06fb4ffacf0cb0189b1b29d64790cc4202442f6f6b71ce4c6eea
+DIST valgrind-3.13.0.tar.bz2 14723076 SHA256 d76680ef03f00cd5e970bbdcd4e57fb1f6df7d2e2c071635ef2be74790190c3b SHA512 34e1013cd3815d30a459b86220e871bb0a6209cc9e87af968f347083693779f022e986f211bdf1a5184ad7370cde12ff2cfca8099967ff94732970bd04a97009 WHIRLPOOL 5ec5c371f8fb22813b895eaa3ee1dbb3c32bb998ad4b646d4b252a694d9b40a1543234cb7208445d8ca557e779ce30e9d0503a36bb9e4240a245c5d5d802c8a4

diff --git a/dev-util/valgrind/valgrind-3.13.0.ebuild b/dev-util/valgrind/valgrind-3.13.0.ebuild
new file mode 100644
index 00000000000..66358a9d9be
--- /dev/null
+++ b/dev-util/valgrind/valgrind-3.13.0.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+inherit autotools flag-o-matic toolchain-funcs multilib pax-utils
+
+DESCRIPTION="An open-source memory debugger for GNU/Linux"
+HOMEPAGE="http://www.valgrind.org"
+SRC_URI="ftp://sourceware.org/pub/valgrind/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE="mpi"
+
+DEPEND="mpi? ( virtual/mpi )"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	# Correct hard coded doc location
+	sed -i -e "s:doc/valgrind:doc/${PF}:" docs/Makefile.am || die
+
+	# Don't force multiarch stuff on OSX, bug #306467
+	sed -i -e 's:-arch \(i386\|x86_64\)::g' Makefile.all.am || die
+
+	# Respect CFLAGS, LDFLAGS
+	eapply "${FILESDIR}"/${PN}-3.7.0-respect-flags.patch
+
+	# Changing Makefile.all.am to disable SSP
+	eapply "${FILESDIR}"/${PN}-3.7.0-fno-stack-protector.patch
+
+	# Allow users to test their own patches
+	eapply_user
+
+	# Regenerate autotools files
+	eautoreconf
+}
+
+src_configure() {
+	local myconf
+
+	# Respect ar, bug #468114
+	tc-export AR
+
+	# -fomit-frame-pointer	"Assembler messages: Error: junk `8' after expression"
+	#                       while compiling insn_sse.c in none/tests/x86
+	# -fstack-protector     more undefined references to __guard and __stack_smash_handler
+	#                       because valgrind doesn't link to glibc (bug #114347)
+	# -m64 -mx32			for multilib-portage, bug #398825
+	# -ggdb3                segmentation fault on startup
+	filter-flags -fomit-frame-pointer
+	filter-flags -fstack-protector
+	filter-flags -m64 -mx32
+	replace-flags -ggdb3 -ggdb2
+
+	if use amd64 || use ppc64; then
+		! has_multilib_profile && myconf="${myconf} --enable-only64bit"
+	fi
+
+	# Force bitness on darwin, bug #306467
+	use x86-macos && myconf="${myconf} --enable-only32bit"
+	use x64-macos && myconf="${myconf} --enable-only64bit"
+
+	# Don't use mpicc unless the user asked for it (bug #258832)
+	if ! use mpi; then
+		myconf="${myconf} --without-mpicc"
+	fi
+
+	econf ${myconf}
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	dodoc AUTHORS FAQ.txt NEWS README*
+
+	pax-mark m "${ED}"/usr/$(get_libdir)/valgrind/*-*-linux
+
+	if [[ ${CHOST} == *-darwin* ]] ; then
+		# fix install_names on shared libraries, can't turn them into bundles,
+		# as dyld won't load them any more then, bug #306467
+		local l
+		for l in "${ED}"/usr/lib/valgrind/*.so ; do
+			install_name_tool -id "${EPREFIX}"/usr/lib/valgrind/${l##*/} "${l}"
+		done
+	fi
+}
+
+pkg_postinst() {
+	elog "Valgrind will not work if glibc does not have debug symbols."
+	elog "To fix this you can add splitdebug to FEATURES in make.conf"
+	elog "and remerge glibc.  See:"
+	elog "https://bugs.gentoo.org/show_bug.cgi?id=214065"
+	elog "https://bugs.gentoo.org/show_bug.cgi?id=274771"
+	elog "https://bugs.gentoo.org/show_bug.cgi?id=388703"
+}


             reply	other threads:[~2017-06-17 23:25 UTC|newest]

Thread overview: 100+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-06-17 23:25 Anthony G. Basile [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-11-08 13:49 [gentoo-commits] repo/gentoo:master commit in: dev-util/valgrind/ Sam James
2023-10-31 18:53 Sam James
2023-10-26 16:48 Sam James
2023-10-26 16:48 Sam James
2023-10-23  7:48 Sam James
2023-08-28  6:40 Sam James
2023-06-09 16:42 Arthur Zamarin
2023-06-09 14:38 Sam James
2023-06-09 14:23 Arthur Zamarin
2023-05-20  4:20 Sam James
2023-04-29  4:54 Sam James
2023-04-29  1:39 Sam James
2023-04-29  0:40 Sam James
2023-01-27 12:20 Arthur Zamarin
2023-01-27 12:20 Arthur Zamarin
2023-01-27  9:25 Jakov Smolić
2023-01-27  8:21 Sam James
2023-01-27  8:21 Sam James
2023-01-27  8:21 Sam James
2023-01-25  2:32 Sam James
2023-01-24  5:53 Sam James
2023-01-23  1:12 Sam James
2023-01-23  1:11 Sam James
2023-01-22 23:12 Sam James
2023-01-22 23:12 Sam James
2023-01-22 23:12 Sam James
2023-01-22 23:08 Sam James
2023-01-22 23:08 Sam James
2022-12-29  1:40 Sam James
2022-12-29  1:35 Sam James
2022-12-29  1:35 Sam James
2022-12-29  1:35 Sam James
2022-10-28 10:39 Sam James
2022-09-16 19:27 Arthur Zamarin
2022-09-15 19:58 Arthur Zamarin
2022-09-14  7:48 Agostino Sarubbo
2022-09-14  7:48 Agostino Sarubbo
2022-09-14  7:47 Agostino Sarubbo
2022-07-31  6:30 Sam James
2022-07-27 13:47 Anthony G. Basile
2022-05-05 11:43 Jakov Smolić
2022-05-03  3:19 Sam James
2022-02-11 20:29 Arthur Zamarin
2022-02-11  7:25 Agostino Sarubbo
2022-02-10  9:43 Sam James
2022-02-10  9:10 Jakov Smolić
2022-02-10  9:10 Jakov Smolić
2021-10-25 11:56 Sam James
2021-10-25 11:56 Sam James
2021-10-17  5:49 Sam James
2021-06-07 13:16 Agostino Sarubbo
2021-06-04  8:14 Sam James
2021-06-03 16:26 Sam James
2021-06-02 16:44 Sam James
2021-06-01  6:36 Agostino Sarubbo
2021-03-22 13:10 Anthony G. Basile
2021-01-07  8:20 Fabian Groffen
2021-01-06 22:55 Fabian Groffen
2020-10-29 12:37 David Seifert
2020-10-29 12:37 David Seifert
2020-10-12  6:57 Agostino Sarubbo
2020-09-18  7:54 Agostino Sarubbo
2020-09-06  0:27 Sam James
2020-09-05 23:46 Thomas Deutschmann
2020-07-29 16:22 Sam James
2020-06-23 21:38 Anthony G. Basile
2020-05-28 21:49 Anthony G. Basile
2020-05-28 21:49 Anthony G. Basile
2020-03-16 21:23 Sergei Trofimovich
2019-11-22  9:54 Mikle Kolyada
2019-11-05  9:27 Agostino Sarubbo
2019-11-05  8:24 Agostino Sarubbo
2019-11-04 17:39 Matt Turner
2019-11-04 17:39 Matt Turner
2019-04-20 18:45 Mikle Kolyada
2019-04-19  0:31 Aaron Bauman
2019-04-18 20:32 Thomas Deutschmann
2019-04-18 11:57 Anthony G. Basile
2019-04-09  3:14 Austin English
2018-10-17  4:07 Anthony G. Basile
2018-04-05  8:09 Fabian Groffen
2018-03-15 13:51 Mikle Kolyada
2017-12-15  8:54 Jason Zaman
2017-12-12 21:59 Austin English
2017-10-22 21:53 Matt Turner
2017-10-22 21:53 Matt Turner
2017-10-22 20:33 Thomas Deutschmann
2017-09-17 11:42 Sergei Trofimovich
2017-09-17 11:42 Sergei Trofimovich
2017-09-17 11:42 Sergei Trofimovich
2017-09-17 11:14 Sergei Trofimovich
2017-08-10 19:10 Austin English
2017-06-18 17:40 Alexis Ballier
2017-06-10 18:12 Anthony G. Basile
2017-06-10 18:12 Anthony G. Basile
2017-04-01 22:23 Anthony G. Basile
2017-03-01  1:08 Austin English
2015-11-23  1:06 Anthony G. Basile
2015-11-23  1:05 Anthony G. Basile

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1497741896.0f9fcaa17f29770b1e1c48e35a69283d79eac402.blueness@gentoo \
    --to=blueness@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox